Package org.eclipse.jdt.core.util

## Interface IAnnotation

All Known Subinterfaces:
  `IExtendedAnnotation`

    public interface IAnnotation

Description of a annotation structure as described in the JVM specifications (added in J2SE 1.5). This interface may be implemented by clients.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`IAnnotationComponent[]` `getComponents()` Answer back the components as described in the JVM specifications.
`int` `getComponentsNumber()` Answer back the number of components as described in the JVM specifications.
`int` `getTypeIndex()` Answer back the type index as described in the JVM specifications.
`char[]` `getTypeName()` Answer back the type name as described in the JVM specifications.

### Method Detail

#### getTypeIndex

    int getTypeIndex()

Answer back the type index as described in the JVM specifications.

Returns:
  the type index

#### getTypeName

    char[] getTypeName()

Answer back the type name as described in the JVM specifications.

Returns:
  the type name
Since:
  3.1

#### getComponentsNumber

    int getComponentsNumber()

Answer back the number of components as described in the JVM specifications.

Returns:
  the type index

#### getComponents

    IAnnotationComponent[] getComponents()

Answer back the components as described in the JVM specifications. Answer an empty collection if none.

Returns:
  the components